//
// From SwiftUI by Example by Paul Hudson (@twostraws)
// https://www.hackingwithswift.com/quick-start/swiftui
// License: https://www.hackingwithswift.com/license
//

import StoreKit
import SwiftUI

struct ContentView: View {
    var body: some View {
        ProductView(id: "com.hackingwithswift.plus.subscription") {
            Image(systemName: "crown")
        }
        .productViewStyle(.compact)
        .padding()
        .onInAppPurchaseStart { product in
            print("User has started buying \(product.id)")
        }
        .onInAppPurchaseCompletion { product, result in
            if case .success(.success(let transaction)) = result {
                print("Purchased successfully: \(transaction.signedDate)")
            } else {
                print("Something else happened")
            }
        }
    }
}

#Preview {
    ContentView()
}
